<?php
/**
 * All settings related to single.
 *
 * @package BlogAura
 */
$wp_customize->add_section(
	'single_options',
	array(
		'title' => esc_html__( 'Single Page Options', 'blogaura' ),
		'panel' => 'single_options_panel',
	)
);

$wp_customize->add_setting(
    'blogaura_options[enable_single_author_meta]',
    array(
        'default'           => $blogaura_default['enable_single_author_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_single_author_meta]',
    array(
        'label'       => esc_html__( 'Show Author Meta', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogaura_options[select_single_author_meta]',
    array(
        'default'           => $blogaura_default['select_single_author_meta'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_single_author_meta]',
    array(
        'label'         => esc_html__( 'Author Meta Display Options', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'       => blogaura_author_meta(),


    )
);

$wp_customize->add_setting(
    'blogaura_options[single_author_meta_title]',
    array(
        'default'           => $blogaura_default['single_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[single_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'blogaura' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogaura_options[enable_single_date_meta]',
    array(
        'default'           => $blogaura_default['enable_single_date_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_single_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogaura_options[select_single_date]',
    array(
        'default'           => $blogaura_default['select_single_date'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_single_date]',
    array(
        'label'         => esc_html__( 'Select Single Date Meta', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'       => blogaura_date_meta(),

    )
);

$wp_customize->add_setting(
    'blogaura_options[single_date_meta_title]',
    array(
        'default'           => $blogaura_default['single_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[single_date_meta_title]',
    array(
        'label'    => __( 'Date Text', 'blogaura' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogaura_options[select_single_date_format]',
    array(
        'default'           => $blogaura_default['select_single_date_format'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_single_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'  		=> blogaura_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'blogaura_options[enable_single_category_meta]',
    array(
        'default'           => $blogaura_default['enable_single_category_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_single_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Single Category Meta', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'blogaura_options[single_category_label]',
    array(
        'default'           => $blogaura_default['single_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[single_category_label]',
    array(
        'label'    => __( 'Category Title', 'blogaura' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogaura_options[select_single_category_color]',
    array(
        'default'           => $blogaura_default['select_single_category_color'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_single_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'  		=> blogaura_category_color(),

    )
);

$wp_customize->add_setting(
    'blogaura_options[enable_single_tag_meta]',
    array(
        'default'           => $blogaura_default['enable_single_tag_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_single_tag_meta]',
    array(
        'label'       => esc_html__( 'Enable Tag Meta', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogaura_options[enable_single_read_time_meta]',
    array(
        'default'           => $blogaura_default['enable_single_read_time_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_single_read_time_meta]',
    array(
        'label'       => esc_html__( 'Enable Read Time', 'blogaura' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'blogaura_section_seperator_single_5',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new BlogAura_Seperator_Control(
        $wp_customize,
        'blogaura_section_seperator_single_5',
        array(
            'settings' => 'blogaura_section_seperator_single_5',
            'section'       => 'single_options',
        )
    )
);


$wp_customize->add_setting(
    'blogaura_options[show_sticky_article_navigation]',
    array(
        'default'           => $blogaura_default['show_sticky_article_navigation'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[show_sticky_article_navigation]',
    array(
        'label'    => __( 'Show Sticky Article Navigation', 'blogaura' ),
        'section'  => 'single_options',
        'type'     => 'checkbox',
    )
);

/*Show Author Info Box start
*-------------------------------*/
$wp_customize->add_setting(
    'blogaura_section_seperator_single_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new BlogAura_Seperator_Control(
        $wp_customize,
        'blogaura_section_seperator_single_2',
        array(
            'settings' => 'blogaura_section_seperator_single_2',
            'section'       => 'single_options',
        )
    )
);

$wp_customize->add_setting(
    'blogaura_options[show_author_info]',
    array(
        'default'           => $blogaura_default['show_author_info'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[show_author_info]',
    array(
        'label'    => __( 'Show Author Info Box', 'blogaura' ),
        'section'  => 'single_options',
        'type'     => 'checkbox',
    )
);


$wp_customize->add_section(
    'single_sidebar_options',
    array(
        'title' => esc_html__( 'SideBar Options', 'blogaura' ),
        'panel' => 'single_options_panel',
    )
);


$wp_customize->add_setting(
    'blogaura_options[single_sidebar_layout_option]',
    array(
        'default'           => $blogaura_default['single_sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blogaura_sanitize_radio'
    )
);

$wp_customize->add_control(
    new BlogAura_Custom_Radio_Image_Control(
        $wp_customize,
        'blogaura_options[single_sidebar_layout_option]',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (Single)', 'blogaura' ),
            'section'       => 'single_sidebar_options',
            'choices'       => blogaura_get_sidebar_layouts(),
        )
    )
);




$wp_customize->add_setting(
    'blogaura_options[enable_sidebar_fix_single]',
    array(
        'default'           => $blogaura_default['enable_sidebar_fix_single'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_sidebar_fix_single]',
    array(
        'label'    => __( 'Enable Sticky Sidebar', 'blogaura' ),
        'section'     => 'single_options_panel',
        'type'        => 'checkbox',
    )
);